
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>varnishadm &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="varnishd" href="varnishd.html" />
    <link rel="prev" title="varnish-cli" href="varnish-cli.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="varnishd.html" title="varnishd"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="varnish-cli.html" title="varnish-cli"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Varnish Reference Manual</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">varnishadm</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="varnishadm">
<span id="varnishadm-1"></span><h1>varnishadm<a class="headerlink" href="#varnishadm" title="Permalink to this headline">¶</a></h1>
<section id="control-a-running-varnish-instance">
<h2>Control a running Varnish instance<a class="headerlink" href="#control-a-running-varnish-instance" title="Permalink to this headline">¶</a></h2>
<dl class="field-list simple">
<dt class="field-odd">Manual section</dt>
<dd class="field-odd"><p>1</p>
</dd>
</dl>
<section id="synopsis">
<h3>SYNOPSIS<a class="headerlink" href="#synopsis" title="Permalink to this headline">¶</a></h3>
<p>varnishadm [-h] [-n ident] [-t timeout] [-S secretfile] [-T [address]:port] [command […]]</p>
</section>
<section id="description">
<h3>DESCRIPTION<a class="headerlink" href="#description" title="Permalink to this headline">¶</a></h3>
<p>The <cite>varnishadm</cite> utility establishes a CLI connection to varnishd either
using -n <em>name</em> or using the -T and -S arguments. If -n <em>name</em> is
given the location of the secret file and the address:port is looked
up in shared memory. If neither is given <cite>varnishadm</cite> will look for an
instance without a given name.</p>
<p>If a command is given, the command and arguments are sent over the CLI
connection and the result returned on stdout.</p>
<p>If no command argument is given <cite>varnishadm</cite> will pass commands and
replies between the CLI socket and stdin/stdout.</p>
</section>
<section id="options">
<h3>OPTIONS<a class="headerlink" href="#options" title="Permalink to this headline">¶</a></h3>
<dl class="option-list">
<dt><kbd><span class="option">-h</span></kbd></dt>
<dd><p>Print program usage and exit.</p>
</dd>
<dt><kbd><span class="option">-n <var>ident</var></span></kbd></dt>
<dd><p>Connect to the instance of <cite>varnishd</cite> with this name.</p>
</dd>
<dt><kbd><span class="option">-S <var>secretfile</var></span></kbd></dt>
<dd><p>Specify the authentication secret file. This should be the same -S
argument as was given to <cite>varnishd</cite>. Only processes which can read
the contents of this file, will be able to authenticate the CLI connection.</p>
</dd>
<dt><kbd><span class="option">-t <var>timeout</var></span></kbd></dt>
<dd><p>Wait no longer than this many seconds for an operation to finish.</p>
</dd>
<dt><kbd><span class="option">-T <var>&lt;address:port&gt;</var></span></kbd></dt>
<dd><p>Connect to the management interface at the specified address and port.</p>
</dd>
</dl>
<p>The syntax and operation of the actual CLI interface is described in
the <a class="reference internal" href="varnish-cli.html#varnish-cli-7"><span class="std std-ref">varnish-cli</span></a> manual page. Parameters are described in
<a class="reference internal" href="varnishd.html#varnishd-1"><span class="std std-ref">varnishd</span></a> manual page.</p>
<p>Additionally, a summary of commands can be obtained by issuing the
<em>help</em> command, and a summary of parameters can be obtained by issuing
the <em>param.show</em> command.</p>
</section>
<section id="exit-status">
<h3>EXIT STATUS<a class="headerlink" href="#exit-status" title="Permalink to this headline">¶</a></h3>
<p>If a command is given, the exit status of the <cite>varnishadm</cite> utility is
zero if the command succeeded, and non-zero otherwise.</p>
</section>
<section id="examples">
<h3>EXAMPLES<a class="headerlink" href="#examples" title="Permalink to this headline">¶</a></h3>
<p>Some ways you can use varnishadm:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">varnishadm</span> <span class="o">-</span><span class="n">T</span> <span class="n">localhost</span><span class="p">:</span><span class="mi">999</span> <span class="o">-</span><span class="n">S</span> <span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">db</span><span class="o">/</span><span class="n">secret</span> <span class="n">vcl</span><span class="o">.</span><span class="n">use</span> <span class="n">foo</span>
<span class="n">echo</span> <span class="n">vcl</span><span class="o">.</span><span class="n">use</span> <span class="n">foo</span> <span class="o">|</span> <span class="n">varnishadm</span> <span class="o">-</span><span class="n">T</span> <span class="n">localhost</span><span class="p">:</span><span class="mi">999</span> <span class="o">-</span><span class="n">S</span> <span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">db</span><span class="o">/</span><span class="n">secret</span>
<span class="n">echo</span> <span class="n">vcl</span><span class="o">.</span><span class="n">use</span> <span class="n">foo</span> <span class="o">|</span> <span class="n">ssh</span> <span class="n">vhost</span> <span class="n">varnishadm</span> <span class="o">-</span><span class="n">T</span> <span class="n">localhost</span><span class="p">:</span><span class="mi">999</span> <span class="o">-</span><span class="n">S</span> <span class="o">/</span><span class="n">var</span><span class="o">/</span><span class="n">db</span><span class="o">/</span><span class="n">secret</span>
</pre></div>
</div>
</section>
<section id="see-also">
<h3>SEE ALSO<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p><a class="reference internal" href="varnishd.html#varnishd-1"><span class="std std-ref">varnishd</span></a></p></li>
<li><p><a class="reference internal" href="varnish-cli.html#varnish-cli-7"><span class="std std-ref">varnish-cli</span></a></p></li>
</ul>
</section>
<section id="authors">
<h3>AUTHORS<a class="headerlink" href="#authors" title="Permalink to this headline">¶</a></h3>
<p>The <cite>varnishadm</cite> utility and this manual page were written by Cecilie
Fritzvold. This man page has later been modified by Per Buer, Federico G.
Schwindt and Lasse Karstensen.</p>
</section>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">varnishadm</a><ul>
<li><a class="reference internal" href="#control-a-running-varnish-instance">Control a running Varnish instance</a><ul>
<li><a class="reference internal" href="#synopsis">SYNOPSIS</a></li>
<li><a class="reference internal" href="#description">DESCRIPTION</a></li>
<li><a class="reference internal" href="#options">OPTIONS</a></li>
<li><a class="reference internal" href="#exit-status">EXIT STATUS</a></li>
<li><a class="reference internal" href="#examples">EXAMPLES</a></li>
<li><a class="reference internal" href="#see-also">SEE ALSO</a></li>
<li><a class="reference internal" href="#authors">AUTHORS</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="varnish-cli.html"
                        title="previous chapter">varnish-cli</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="varnishd.html"
                        title="next chapter">varnishd</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/reference/varnishadm.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="varnishd.html" title="varnishd"
             >next</a> |</li>
        <li class="right" >
          <a href="varnish-cli.html" title="varnish-cli"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >The Varnish Reference Manual</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">varnishadm</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>